"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.deserializePostMessage = exports.postMessageLayout = void 0;
const sdk_connect_1 = require("@wormhole-foundation/sdk-connect");
/** Binary layout for postMessage account */
exports.postMessageLayout = [
    { name: 'discriminator', binary: 'bytes', size: 4 },
    { name: 'consistencyLevel', binary: 'uint', size: 1, endianness: 'little' },
    { name: 'emitterAuthority', ...sdk_connect_1.layoutItems.universalAddressItem },
    { name: 'messageStatus', binary: 'uint', size: 1, endianness: 'little' },
    { name: 'gap', binary: 'uint', size: 3 },
    { name: 'timestamp', binary: 'uint', size: 4, endianness: 'little' },
    { name: 'nonce', binary: 'uint', size: 4, endianness: 'little' },
    { name: 'sequence', binary: 'uint', size: 8, endianness: 'little' },
    { name: 'emitterChain', binary: 'uint', size: 2, endianness: 'little' },
    { name: 'emitterAddress', ...sdk_connect_1.layoutItems.universalAddressItem },
    { name: 'payloadLength', binary: 'uint', size: 4, endianness: 'little' },
    { name: 'payload', binary: 'bytes' },
];
function deserializePostMessage(data) {
    return (0, sdk_connect_1.deserializeLayout)(exports.postMessageLayout, data);
}
exports.deserializePostMessage = deserializePostMessage;
//# sourceMappingURL=postMessageLayout.js.map