/// <reference types="node" />
import type { Connection, Commitment, PublicKeyInitData } from '@solana/web3.js';
import { PublicKey } from '@solana/web3.js';
export declare function deriveEmitterSequenceKey(emitter: PublicKeyInitData, wormholeProgramId: PublicKeyInitData): PublicKey;
export declare function getSequenceTracker(connection: Connection, emitter: PublicKeyInitData, wormholeProgramId: PublicKeyInitData, commitment?: Commitment): Promise<SequenceTracker>;
export declare class SequenceTracker {
    sequence: bigint;
    bump?: number;
    emitterType?: number;
    constructor(sequence: bigint, bump?: number, emitterType?: number);
    static deserialize(data: Buffer): SequenceTracker;
    value(): bigint;
}
//# sourceMappingURL=sequence.d.ts.map