"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createBridgeFeeTransferInstruction = void 0;
const web3_js_1 = require("@solana/web3.js");
const index_js_1 = require("./../accounts/index.js");
function createBridgeFeeTransferInstruction(wormholeProgramId, payer, fee) {
    return web3_js_1.SystemProgram.transfer({
        fromPubkey: new web3_js_1.PublicKey(payer),
        toPubkey: (0, index_js_1.deriveFeeCollectorKey)(wormholeProgramId),
        lamports: fee,
    });
}
exports.createBridgeFeeTransferInstruction = createBridgeFeeTransferInstruction;
//# sourceMappingURL=feeTransfer.js.map