import type { Connection, PublicKeyInitData, TransactionInstruction } from '@solana/web3.js';
import { PublicKey } from '@solana/web3.js';
/** All accounts required to make a cross-program invocation with the Core Bridge program */
export interface PostMessageAccounts {
    bridge: PublicKey;
    message: PublicKey;
    emitter: PublicKey;
    sequence: PublicKey;
    payer: PublicKey;
    feeCollector: PublicKey;
    clock: PublicKey;
    rent: PublicKey;
    systemProgram: PublicKey;
}
export declare function createPostMessageInstruction(connection: Connection, wormholeProgramId: PublicKeyInitData, payer: PublicKeyInitData, messageAccount: PublicKeyInitData, payload: Uint8Array, nonce: number, consistencyLevel: number): TransactionInstruction;
export declare function getPostMessageAccounts(wormholeProgramId: PublicKeyInitData, payer: PublicKeyInitData, message: PublicKeyInitData, emitter?: PublicKeyInitData): PostMessageAccounts;
//# sourceMappingURL=postMessage.d.ts.map