"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.coder = exports.createReadOnlyWormholeProgramInterface = exports.createWormholeProgramInterface = void 0;
const web3_js_1 = require("@solana/web3.js");
const anchor_1 = require("@coral-xyz/anchor");
const sdk_solana_1 = require("@wormhole-foundation/sdk-solana");
const index_js_1 = require("./coder/index.js");
const types_js_1 = require("../types.js");
function createWormholeProgramInterface(programId, provider) {
    return new anchor_1.Program(types_js_1.IDL, new web3_js_1.PublicKey(programId), provider === undefined ? { connection: null } : provider, coder());
}
exports.createWormholeProgramInterface = createWormholeProgramInterface;
function createReadOnlyWormholeProgramInterface(programId, connection) {
    return createWormholeProgramInterface(programId, sdk_solana_1.utils.createReadOnlyProvider(connection));
}
exports.createReadOnlyWormholeProgramInterface = createReadOnlyWormholeProgramInterface;
function coder() {
    return new index_js_1.WormholeCoder(types_js_1.IDL);
}
exports.coder = coder;
//# sourceMappingURL=program.js.map